aboutsummaryrefslogtreecommitdiff
path: root/common/chroot-style/proot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/chroot-style/proot.sh')
-rwxr-xr-xcommon/chroot-style/proot.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/common/chroot-style/proot.sh b/common/chroot-style/proot.sh
index 58e7cde01bd..9bcc3f9520f 100755
--- a/common/chroot-style/proot.sh
+++ b/common/chroot-style/proot.sh
@@ -18,7 +18,7 @@ if [ -z "$MASTERDIR" -o -z "$DISTDIR" ]; then
fi
# proot does not properly return the resultcode. Workaround this
-RESULT=$(mktemp /tmp/proot_result.XXXXXXXXXX)
+RESULT=$(mktemp || exit 1)
PROOT_NO_SECCOMP=1 proot -r $MASTERDIR -w / -b "$RESULT:/.result" -b $DISTDIR:/void-packages \
${HOSTDIR:+-b $HOSTDIR:/host} -b /proc:/proc -b /dev:/dev \